IncrementalCompileOptions (Gradle API 8.12)
Description: declaration: package: org.gradle.api.tasks.scala, class: IncrementalCompileOptions

Package org.gradle.api.tasks.scala

# Class IncrementalCompileOptions

java.lang.Object
org.gradle.api.tasks.scala.IncrementalCompileOptions

public abstract class IncrementalCompileOptions extends Object
Options for incremental compilation of Scala code. Only used for compilation with Zinc. This is not sent to the compiler daemon as options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncrementalCompileOptions(ObjectFactory objectFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegularFileProperty`
  `getAnalysisFile()`
  Returns the file path where results of code analysis are to be stored.
  `RegularFileProperty`
  `getClassfileBackupDir()`
  Returns the path to the directory where previously generated class files are backed up during the next, incremental compilation.
  `RegularFileProperty`
  `getPublishedCode()`
  Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncrementalCompileOptions

    @Inject public IncrementalCompileOptions(ObjectFactory objectFactory)

- ## Method Details

  - ### getAnalysisFile

    @LocalState public RegularFileProperty getAnalysisFile()
    Returns the file path where results of code analysis are to be stored.

  - ### getClassfileBackupDir

    @LocalState public RegularFileProperty getClassfileBackupDir()
    Returns the path to the directory where previously generated class files are backed up during the next, incremental compilation. If the compilation fails, class files are restored from the backup.
    Since:
      6.6

  - ### getPublishedCode

    @Internal public RegularFileProperty getPublishedCode()
    Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.